# Interface IInputProvider

All Known Subinterfaces:
  `IInputSelectionProvider`

All Known Implementing Classes:
  `AbstractListViewer, AbstractTableViewer, AbstractTreeViewer, AbstractViewer, BinaryCompareViewer, CheckboxTableViewer, CheckboxTreeViewer, ColumnViewer, ComboViewer, CommonViewer, ContainerCheckedTreeViewer, ContentMergeViewer, ContentViewer, DiffTreeViewer, ImageMergeViewer, ListViewer, NullViewer, ProjectionViewer, SimpleTextViewer, SourceViewer, StructureDiffViewer, StructuredViewer, TableViewer, TextConsoleViewer, TextMergeViewer, TextViewer, TreeViewer, Viewer`

public interface IInputProvider
Interface common to all objects that provide an input.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getInput()`
Returns the input.

## Method Details

### getInput

Object getInput()
Returns the input.

Returns:
  the input object